package cn.service;

import org.quartz.SchedulerException;
import cn.pojo.entity.TSysJob;

public interface IJobService 
{
	Long updateJob(TSysJob job) throws Exception;
	Boolean saveJob(TSysJob sysJob) throws Exception;
	Boolean deleteJobs(String[] values) throws Exception;
	void runJob(TSysJob job) throws SchedulerException;
	Boolean pauseJob(TSysJob job); 
	Boolean resumeJob(TSysJob job);
	
	Boolean updateJobStatus(TSysJob job);
	
	TSysJob queryJob(Long longIds) throws Exception;
	TSysJob queryJob(String tableName,String field,Object fieldValue) throws Exception;
}
